MagicWP Docs
WordPress

Activate a theme

POST
/v1/sites/{site_id}/wp/themes/activate

Permission: wp.extensions

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
slug*Slug
Match^[A-Za-z0-9][A-Za-z0-9._/-]*$
Length1 <= length <= 80

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

A long action was started: poll GET /v1/tasks/{task.id} until status is completed or failed.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/themes/activate" \  -H "Content-Type: application/json" \  -d '{    "slug": "string"  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "task": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "task_type": "string",      "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",      "status": "string",      "result": "string",      "error_message": "string",      "metadata_json": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  }}